pcl::cuda::Create1PointPlaneSampleHypothesis< Storage > Struct Template Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Types

typedef SampleConsensusModel< Storage >::PointCloud | PointCloud
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef SampleConsensusModel< Storage >::Indices | Indices
typedef SampleConsensusModel< Storage >::IndicesConstPtr | IndicesConstPtr

## Public Member Functions

| Create1PointPlaneSampleHypothesis (const PointXYZRGB *_input, const float4 *normals, const int *_indices, int width, int height, int _nr_indices, float bad)
__inline__ __host__ __device__ thrust::tuple< int, float4 > | operator() (int t)

## Public Attributes

const PointXYZRGB * | input
const float4 * | normals_
const int * | indices
int | width_
int | height_
int | nr_indices
float | bad_value
thrust::default_random_engine | rng

## Detailed Description

### template<template< typename > class Storage>
struct pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >

Check if a certain tuple is a point inlier.

Definition at line 267 of file sac_model_1point_plane.h.

## Member Typedef Documentation

## Indices

template<template< typename > class Storage>

typedef SampleConsensusModel<Storage>::Indices pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::Indices

Definition at line 271 of file sac_model_1point_plane.h.

## IndicesConstPtr

template<template< typename > class Storage>

typedef SampleConsensusModel<Storage>::IndicesConstPtr pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::IndicesConstPtr

Definition at line 272 of file sac_model_1point_plane.h.

## PointCloud

template<template< typename > class Storage>

typedef SampleConsensusModel<Storage>::PointCloud pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::PointCloud

Definition at line 269 of file sac_model_1point_plane.h.

## PointCloudConstPtr

template<template< typename > class Storage>

typedef PointCloud::ConstPtr pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::PointCloudConstPtr

Definition at line 270 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## Create1PointPlaneSampleHypothesis()

template<template< typename > class Storage>

pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::Create1PointPlaneSampleHypothesis | ( | const PointXYZRGB * | _input,
|  | const float4 * | normals,
|  | const int * | _indices,
|  | int | width,
|  | int | height,
|  | int | _nr_indices,
|  | float | bad
| ) |  |

inline

Definition at line 283 of file sac_model_1point_plane.h.

References pcl::cuda::CountPlanarInlier::operator()().

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__inline__ __host__ __device__ thrust::tuple<int,float4> pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::operator() | ( | int | t | ) |

## Member Data Documentation

## bad_value

template<template< typename > class Storage>

float pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::bad_value

Definition at line 280 of file sac_model_1point_plane.h.

## height_

template<template< typename > class Storage>

int pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::height_

Definition at line 278 of file sac_model_1point_plane.h.

## indices

template<template< typename > class Storage>

const int* pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::indices

Definition at line 276 of file sac_model_1point_plane.h.

## input

template<template< typename > class Storage>

const PointXYZRGB* pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::input

Definition at line 274 of file sac_model_1point_plane.h.

## normals_

template<template< typename > class Storage>

const float4* pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::normals_

Definition at line 275 of file sac_model_1point_plane.h.

## nr_indices

template<template< typename > class Storage>

int pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::nr_indices

Definition at line 279 of file sac_model_1point_plane.h.

## rng

template<template< typename > class Storage>

thrust::default_random_engine pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::rng

Definition at line 281 of file sac_model_1point_plane.h.

## width_

template<template< typename > class Storage>

int pcl::cuda::Create1PointPlaneSampleHypothesis< Storage >::width_

Definition at line 277 of file sac_model_1point_plane.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h